<script type="text/markdown">
# Writing Scripts
## Try it out: inline script
1. Create a new file in your IDE called `javascript-practice.html`.
2. Create the basic document structure with `<html>` and `<body>` elements.
3. Add some other html content, such as a `<h1>` heading.
4. Add a `<script>` element just before the closing `</body>` tag.
5. Write `console.log('Hello World!');` inside the `<script>` element.
{.steps}

```html {.m8 .s12 .numbered data-header="javascript-practice.html"}
<!DOCTYPE html>
<html>
 <body>
    <h1>Javascript Practice</h1>

    <script>
      console.log('Hello world!');
    <\/script>
 </body>
</html>
```

5. Refresh the preview window by clicking the refresh button.
   ![ide-refresh](./guides/images/refresh-button.png);
6. Your javascript code will automatically run every time the page
   loads. In your Javascript console just below the page preview, you
   should see your message appear: "Hello world!".
{.steps .continue}

[Click to open](./tmp/preview){.preview data-panel="1"}

::: infobox
The `console.log()` function takes whatever you put in the parentheses
and shows its value in your **Javascript Console**{.voc}.
:::
</script>
